#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.10.0.0
visibility:           public
id:                   ghcide-1.10.0.0-BwxaS23kizvGShGKUS7vbg
key:                  ghcide-1.10.0.0-BwxaS23kizvGShGKUS7vbg
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  6fc11a4fb933ce6ffeca28cc51463f84
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.2.8/site-local/ghcide-1.10.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ghcide-1.10.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.10.0.0-BwxaS23kizvGShGKUS7vbg
depends:
    Diff-0.4.1-LM3nrIk75wxLIXfAZczyO9
    Glob-0.10.2-8spCvubsMQqEIblXs9hW3g
    aeson-2.1.2.1-9T6l6SxZl5u1C3PaFHxalW
    aeson-pretty-0.8.10-ImEhzVHRpx6GnvCaMgvWj9 array-0.5.4.0
    async-2.2.5-GOT0v2vzV5iH7iWkyOUIC3 base-4.16.4.0
    base16-bytestring-1.0.2.0-3uI24z1Sq0HGbwd5beeMUi binary-0.8.9.0
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-Gw4Z4A3AHMGCDF2cJfKkfk
    co-log-core-0.3.2.3-3Ez4bCs1RUQ86U4VSyfq4V containers-0.6.5.1
    cryptohash-sha1-0.11.101.0-KGcONWtTIAvBOF07WM1nkj
    data-default-0.7.1.1-4Q2QEONQl2rBpJbSE6OFE3 deepseq-1.4.6.1
    dependent-map-0.4.0.0-JOGG5YNJ15u2ZmZbmfLdTI
    dependent-sum-0.7.2.0-DODsEySkCmL4o44uHBZRPZ directory-1.3.6.2
    dlist-1.0-HCxoMn9TirQDgPCFxho7O
    enummapset-0.7.3.0-F55PE9yzTMmL0YKRNwfzSx exceptions-0.10.4
    extra-1.7.16-FItup04n4x48U0x0uU8NTQ filepath-1.4.2.2
    fingertree-0.1.5.0-ASnaSIyVrLIFYC0omRbgW0
    focus-1.0.3.2-4R7IPQaz0jhB5EmPKFBybF ghc-9.2.8 ghc-boot-9.2.8
    ghc-boot-th-9.2.8 ghc-check-0.5.0.8-3ivi7u4YOwNHZwQ06GSf6C
    ghc-paths-0.1.0.12-KU8OzVy7s6GithbR4F0cp
    ghc-trace-events-0.1.2.9-FI8xtj0TQjuI48HJs0fG9x
    haddock-library-1.11.0-74hO1TChHZVCONBFG7Q6QQ
    hashable-1.4.4.0-JynHLbpSPE72B4j6uWctY4
    hie-bios-0.12.0-IPOPHfpUCoEjV5ATIUCYE
    hie-compat-0.3.0.0-J18lPJVEz9RKJxYK1ST1Nn
    hiedb-0.4.3.0-2qwuXOt0vGyGrNZ4lzzG4v
    hls-graph-1.9.0.0-8e77Vnn69I28XDx6vA1y7r
    hls-plugin-api-1.6.0.0-Kk7GnwFkFHRFpgIgEJTs5N
    implicit-hie-0.1.2.7-CNl5KTomEuv1jEqFJGuND1
    implicit-hie-cradle-0.5.0.1-6NXzBGaruKoDXMTPtQPMmV
    lens-5.2.3-FaAjdvRjDs8BQhMYQYzR8W
    list-t-1.0.5.5-3ogJUhW78jx2ivatWvuSUD
    lsp-1.6.0.0-5dSiEfvOOMj4EfMfVyJKbn
    lsp-types-1.6.0.0-Ekludu2clS74EofMm4G7KM mtl-2.2.2
    opentelemetry-0.8.0-8JrzkYxIuZkAwRekuUJRe1
    optparse-applicative-0.17.1.0-F69Key4YdOj5khbgJzlee4
    parallel-3.2.2.0-KgDyPHm89eYAjQsIhXthC1
    prettyprinter-1.7.1-KnGgQk2daq0AGFQwkmg3r7
    prettyprinter-ansi-terminal-1.1.3-COt9gXM6hfnKxy86On6Lgu
    random-1.2.1.2-5cse3egicJy98i0Qegn8w0
    regex-tdfa-1.3.2.2-GVtzYoUSlJyBUw9nALJHnM
    safe-exceptions-0.1.7.4-Lv7zvKR78gNAdY8YrzZjL2
    sorted-list-0.2.2.0-98vsBv4aEWMGuGFVCFia8z
    sqlite-simple-0.4.19.0-IFgnrbTHvgxDNhSz273w6r stm-2.5.0.2
    stm-containers-1.2.1-CZeElJIME6RBSTLbTcmqSE
    syb-0.7.2.4-ITLgxVljDYrB4znIftQFlX text-1.2.5.0
    text-rope-0.3-AJYSTZxWV312ZzeAeSAv2J time-1.11.1.1
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.25.0-JTg1d6x7l9LBSzzWDVbpu5
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-AzoOiKjV26Z32LkoSmNfI7
    vector-0.13.1.0-JX40x5KeA95953did9SvPW

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

